# NAME

git-annex add - adds files to the git annex

# SYNOPSIS

git annex add `[path ...]`

# DESCRIPTION

Adds files in the path to the annex. If no path is specified, adds
files from the current directory and below.

Normally, files that are already checked into git, or that git has been
configured to ignore will be silently skipped.

If annex.largefiles is configured, and does not match a file that is being
added, `git annex add` will behave the same as `git add` and add the
non-large file directly to the git repository, instead of to the annex.

This command can also be used to add symbolic links, both symlinks to
annexed content, and other symlinks.

# OPTIONS

* `--include-dotfiles`

  Dotfiles are skipped unless explicitly listed, or unless this option is
  used.

* `--force`

  Add gitignored files.

* `--backend`

  Specifies which key-value backend to use.

* file matching options

  Many of the [[git-annex-matching-options]](1)
  can be used to specify files to add.

  For example: `--largerthan=1GB`

# SEE ALSO

[[git-annex]](1)

[[git-annex-unlock]](1)

[[git-annex-lock]](1)

[[git-annex-undo]](1)

[[git-annex-import]](1)

[[git-annex-unannex]](1)

[[git-annex-reinject]](1)

# AUTHOR

Joey Hess <id@joeyh.name>

Warning: Automatically converted into a man page by mdwn2man. Edit with care.
